/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.corejsf;

import javax.el.ValueExpression;
import javax.faces.component.UIComponent;
import javax.faces.webapp.UIComponentELTag;

/**
 *
 * @author Ivan
 */
public class AccordionPanelTag extends UIComponentELTag {

    private ValueExpression heading = null;

    public String getComponentType() {
        return "com.corejsf.AccordionPanel";
    }

    public String getRendererType() {
        return "com.corejsf.AccordionPanelRenderer";
    }

    public void setHeading(ValueExpression heading) {
        this.heading = heading;
    }

    public void setProperties(UIComponent component) {
        super.setProperties(component);
        component.setValueExpression("heading", heading);
    }

    public void release() {
        super.release();
        heading = null;
    }
}
